<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-coursier-heading" data-cy="CoursierCreateUpdateHeading" jhiTranslate="blogApp.coursier.home.createOrEditLabel">
        Créer ou éditer un Coursier
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.coursier.nbcourse" for="field_nbcourse">Nbcourse</label>
          <input type="number" class="form-control" name="nbcourse" id="field_nbcourse" data-cy="nbcourse" formControlName="nbcourse" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.coursier.secteur" for="field_secteur">Secteur</label>
          <input type="text" class="form-control" name="secteur" id="field_secteur" data-cy="secteur" formControlName="secteur" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.coursier.utilisateur" for="field_utilisateur">Utilisateur</label>
          <select
            class="form-control"
            id="field_utilisateur"
            data-cy="utilisateur"
            name="utilisateur"
            formControlName="utilisateur"
            [compareWith]="compareUtilisateur"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="utilisateurOption" *ngFor="let utilisateurOption of utilisateursSharedCollection">
              {{ utilisateurOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.coursier.panier" for="field_panier">Panier</label>
          <select
            class="form-control"
            id="field_panier"
            data-cy="panier"
            name="panier"
            formControlName="panier"
            [compareWith]="comparePanier"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="panierOption" *ngFor="let panierOption of paniersSharedCollection">{{ panierOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
